Bug 65412 - wall(1) over-trusts utmp contents
Summary: wall(1) over-trusts utmp contents
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: SysVinit   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-23 14:03 UTC by Matthew Kirkwood
Modified: 2014-03-17 02:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-12 05:26:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Kirkwood 2002-05-23 14:03:24 UTC
wall can be tricked into sending its messages to any file or device.

Try this:

1. Login on the tty1
2. Run:
   # sed 's%tty1%port%g' </var/run/utmp > ut2
   # mv ut2 /var/run/utmp
3. Reboot

Clearly, other programs should ensure that nobody can mess with utmp, but I
think that wall should be fixed to refuse to send messages to anything but a tty.

Comment 1 Bill Nottingham 2002-07-19 01:33:43 UTC
isatty() added in 2.84-5; thanks!


Note You need to log in before you can comment on or make changes to this bug.